CppUnit project page | FAQ

Functions
StringHelper Namespace Reference

Methods for converting values to strings. Replaces CPPUNIT_NS::StringTools::toString. More...

## Functions
template<typename T >
std::enable_if<!std::is_enum< T >::value, std::string >::type | toString (const T &x)
template<typename T >
std::enable_if< std::is_enum< T >::value, std::string >::type | toString (const T &x)
template<>
std::string | toString (const signed char &x)
template<>
std::string | toString (const unsigned char &x)

## Detailed Description

Methods for converting values to strings. Replaces CPPUNIT_NS::StringTools::toString.

## Function Documentation

## ◆ toString() [1/4]

template<>

std::string StringHelper::toString | ( | const signed char & | x | ) |
| inline

## ◆ toString() [2/4]

template<typename T >

std::enable_if<!std::is_enum< T >::value, std::string >::type StringHelper::toString | ( | const T & | x | ) |

## ◆ toString() [3/4]

template<typename T >

std::enable_if< std::is_enum< T >::value, std::string >::type StringHelper::toString | ( | const T & | x | ) |

## ◆ toString() [4/4]

template<>

std::string StringHelper::toString | ( | const unsigned char & | x | ) |
| inline

| Send comments to: CppUnit Developers